Bug 190413 - gnomesword-2.1.6-1.fc5.i386.rpm crashes with KJV OT
gnomesword-2.1.6-1.fc5.i386.rpm crashes with KJV OT
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnomesword (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 23:56 EDT by Jason Roysdon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 11:57:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Roysdon 2006-05-01 23:56:39 EDT
Description of problem:
gnomesword crashes opening OT books.

Version-Release number of selected component (if applicable):
gnomesword-2.1.6-1.fc5.i386.rpm

How reproducible:
Install gnomesword-2.1.5-3.fc5.i386.rpm, install KJV module, open up OT (Old
Testament) book such as Genesis.  This works.

Upgrade (or just install) gnomesword-2.1.6-1.fc5.i386.rpm and open up OT (Old
Testament) book such as Genesis.  Gnomesword crashes.

sword-1.5.8-7.fc5

[root@brhm kjv]# pwd
/home/user/.sword/modules/texts/ztext/kjv

[root@brhm kjv]# md5sum *
78d00244075acd8a0e7e29f3ad49c4fa  nt.bzs
019dabdcf83145efb9e68f4fb2d41318  nt.bzv
869153e6b83dc45ccd62ec4f12724312  nt.bzz
d5bc714adffe5cd7f2100bc1c732ef92  ot.bzs
e3001d830cefc7e40978f6291cbfee75  ot.bzv
b92964ef20fbefb2602d430ed9733484  ot.bzz

[root@brhm kjv]# sha1sum *
42ba7e11766ce088eddf7b1e5ca26a2226f3d197  nt.bzs
6b58bded5430847687a323bd7d603865bdd7f433  nt.bzv
55b655687b0d69c75beecd167ded02f6bcbc2221  nt.bzz
a100bea58285505ae922a48aad1c7194bb9fa9f7  ot.bzs
479432f30a8e0b4acda520fd31f09d3a58095de4  ot.bzv
8c77c4ecb410a64020979aa40c4e922607fe4ec8  ot.bzz
Comment 1 Michael A. Peters 2006-05-02 08:46:54 EDT
Reproduced.
Comment 2 Michael A. Peters 2006-05-02 11:57:23 EDT
Patched (from gnomesword SVN) and fixed in next release.
Comment 3 Jason Roysdon 2006-05-06 02:55:38 EDT
Confirmed that it is fixed in gnomesword-2.1.6-2.fc5.  I can open OT books in
KJV with no problem using this version.

Note You need to log in before you can comment on or make changes to this bug.